<?php

namespace App\Enums;

use App\Traits\Enum\WithComment;
use App\Traits\Enum\WithValue;

enum RoleEnum: string
{
    use WithComment, WithValue;

    case DEVELOPER = 'Developer';
    case ADMINISTRATOR = 'Administrator';
    case ADMIN_MONITORING = 'Admin Monitoring';
    case ADMIN_KONTEN = 'Admin Konten';
    case ADMIN_KEUANGAN = 'Admin Keuangan';
    case PERUSAHAAN = 'Perusahaan';

    public static function options(): array
    {
        return collect(self::cases())
            ->mapWithKeys(fn ($case) => [$case->value => $case->value])
            ->toArray();
    }
}
